summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-04-09 16:22:58 +0200
committerMichał Górny <mgorny@gentoo.org>2019-04-09 16:33:23 +0200
commit04c7fe88199c4ac6910fa55bdc2372a5c36a1bfc (patch)
tree44b850b8482a73ce19e0d3e382c3cb73448d08b0 /xfce-extra
parentmedia-libs/vigra: amd64 stable wrt bug #682860 (diff)
downloadgentoo-04c7fe88199c4ac6910fa55bdc2372a5c36a1bfc.tar.gz
gentoo-04c7fe88199c4ac6910fa55bdc2372a5c36a1bfc.tar.bz2
gentoo-04c7fe88199c4ac6910fa55bdc2372a5c36a1bfc.zip
xfce-extra/xfce4-notes-plugin: Bump to EAPI 7, port off xfconf
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'xfce-extra')
-rw-r--r--xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.8.1-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.8.1-r1.ebuild b/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.8.1-r1.ebuild
new file mode 100644
index 00000000000..b942e7c272a
--- /dev/null
+++ b/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.8.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="Xfce4 panel sticky notes plugin"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/$(ver_cut 1-2)/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.24:2
+ >=x11-libs/gtk+-2.20:2
+ >=xfce-base/libxfce4ui-4.10:=
+ >=xfce-base/libxfce4util-4.10:=
+ >=xfce-base/xfce4-panel-4.10:=
+ >=xfce-base/xfconf-4.10:=
+ dev-libs/libunique:1="
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-util/intltool"
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}